import bpy

from .create import SECTIONBOX_OT_Create
from .manage_objects import SECTIONBOX_OT_ManageObjects
from .reload import SECTIONBOX_OT_Reload
from .reset import SECTIONBOX_OT_Reset
from .view import SECTIONBOX_OT_View, SECTIONBOX_MT_ViewMenu
from .delete import SECTIONBOX_OT_Delete
from .select import SECTIONBOX_OT_Select
from .edge_select import SECTIONBOX_OT_EdgeSelect
from .list import SECTIONBOX_OT_ListAction
from .cross_section import SECTIONBOX_OT_CrossSection
from .elevation import SECTIONBOX_OT_Elevation
from .export import SECTIONBOX_OT_Export
from .prop_context_menu_action import SECTIONBOX_OT_PropContextMenuAction
from .apply import SECTIONBOX_OT_Apply
from .list_menu import SECTIONBOX_MT_ListMenu
from .sync_modal import SECTIONBOX_OT_SyncModal
from .hover_modal import SECTIONBOX_OT_HoverModal
from .transform_modal import SECTIONBOX_OT_TransformModal
from .convert import SECTIONBOX_OT_ConvertInfo


classes = [
    SECTIONBOX_OT_Create,
    SECTIONBOX_OT_ManageObjects,
    SECTIONBOX_OT_Reload,
    SECTIONBOX_OT_Reset,
    SECTIONBOX_OT_View,
    SECTIONBOX_MT_ViewMenu,
    SECTIONBOX_OT_Delete,
    SECTIONBOX_OT_Select,
    SECTIONBOX_OT_EdgeSelect,
    SECTIONBOX_OT_ListAction,
    SECTIONBOX_OT_CrossSection,
    SECTIONBOX_OT_Elevation,
    SECTIONBOX_OT_Export,
    SECTIONBOX_OT_PropContextMenuAction,
    SECTIONBOX_OT_Apply,
    SECTIONBOX_MT_ListMenu,
    SECTIONBOX_OT_SyncModal,
    SECTIONBOX_OT_HoverModal,
    SECTIONBOX_OT_TransformModal,
    SECTIONBOX_OT_ConvertInfo,
]


def register_ops():
    for cls in classes:
        bpy.utils.register_class(cls)


def unregister_ops():
    for cls in reversed(classes):
        bpy.utils.unregister_class(cls)
