import bpy

icons = bpy.types.UILayout.bl_rna.functions["prop"].parameters["icon"].enum_items.keys()
icon_dict = {k: i for i, k in enumerate(icons)}


class SECTIONBOX_OT_ConvertInfo(bpy.types.Operator):
    bl_idname = "sectionbox.convert_info"
    bl_label = ""
    bl_options = {"INTERNAL"}

    @classmethod
    def poll(cls, context):
        return True

    def draw(self, context):
        layout = self.layout
        layout.template_icon(icon_value=icon_dict["ERROR"], scale=2)

        layout.separator()
        row = layout.row()
        row.alignment = "CENTER"
        row.label(text="Do not uninstall the old version of Section Box")
        row = layout.row()
        row.scale_y = 0.3
        row.alignment = "CENTER"
        row.label(text="until you have opened all files with old section boxes in them.")

        layout.separator()
        row = layout.row()
        row.alignment = "CENTER"
        row.label(text="Otherwise they will be cleaned up automatically!")

        layout.separator()

    def invoke(self, context, event):
        return context.window_manager.invoke_props_dialog(self, width=400)

    def execute(self, context):
        return {"FINISHED"}
