import bpy
from bpy.types import Operator

from ..utils.sectionbox import get_sectionbox


class SECTIONBOX_OT_ManageObjects(Operator):
    bl_idname = "sectionbox.manage_objects"
    bl_label = ""
    bl_options = {"UNDO", "INTERNAL"}

    action: bpy.props.StringProperty()  # add, remove

    @classmethod
    def poll(cls, context):
        return get_sectionbox(context, check_active=True)

    @classmethod
    def description(cls, context, properties):
        if properties.action == "add":
            return "Add selected objects to the active section box"
        elif properties.action == "remove":
            return "Remove selected objects from the active section box"

    def execute(self, context):
        sb = get_sectionbox(context, check_active=True)
        if self.action == "add":
            for obj in context.selected_objects:
                sb.add_object(context, obj)
        elif self.action == "remove":
            for obj in context.selected_objects:
                sb.remove_object(context, obj)

        return {"FINISHED"}
