import bpy


class SECTIONBOX_OT_SyncModal(bpy.types.Operator):
    bl_idname = "sectionbox.sync_modal"
    bl_label = "Sync Modal"
    bl_options = {"INTERNAL"}

    prev_obj = None

    @classmethod
    def poll(cls, context):
        return True

    def invoke(self, context, event):
        context.window_manager.modal_handler_add(self)
        return {"RUNNING_MODAL"}

    def modal(self, context, event):
        if not context.window_manager.sectionbox.running_modals:
            return {"CANCELLED"}

        active_obj = context.view_layer.objects.active
        if active_obj != self.prev_obj:
            if not (
                isinstance(self.prev_obj, bpy.types.Object)
                and self.prev_obj not in bpy.data.objects.values()
                and active_obj in bpy.data.objects.values()
            ):
                try:
                    idx = context.scene.sectionbox.list.find(active_obj.name)
                except:
                    idx = -1
                if idx > -1 and idx != context.scene.sectionbox.list_index:
                    context.scene.sectionbox.list_index = idx

            self.prev_obj = active_obj

        return {"PASS_THROUGH"}
