import bpy

from .ops.popup_base import BLENDAI_OT_PopupBase
from .utils.app import restart
from .utils.ui import draw_paragraph
from . import addon_id


class Restart(BLENDAI_OT_PopupBase, bpy.types.Operator):
    bl_idname = "sectionbox.restart"

    icon = "FILE_REFRESH"

    def execute(self, context):
        restart()
        return {"FINISHED"}

    def invoke(self, context, event):
        if self.action == "restart":
            return self.execute(context)

        return super().invoke(context, event)

    def draw(self, context):
        super().draw(context)
        layout = self.layout
        text = "Restart Blender to complete the installation."
        # draw_paragraph(
        #     layout,
        #     text=text,
        #     alignment="CENTER",
        # )

        if bpy.data.is_dirty and not bpy.data.filepath:
            text = "This file has no save location yet.\nPlease save before restarting when you want to keep this file, otherwise it will be lost!"
            # draw_paragraph(layout, text=text, alignment="CENTER")
            layout.separator(factor=1)

        row = layout.row(align=True)
        row.active_default = True
        row.operator(self.bl_idname, text="Restart Now").action = "restart"
