import bpy

from ..utils.preferences import get_prefs
from ..utils.sectionbox import get_sectionbox


def object_context_menu(self, context):
    prefs = get_prefs()
    layout: bpy.types.UILayout = self.layout
    layout.operator_context = "INVOKE_DEFAULT"
    if prefs.show_menu:
        layout.separator()
        layout.operator("sectionbox.create", icon="CUBE", text="Create Section Box")
        if len(context.selected_objects) < 2:
            return

        if not get_sectionbox(context, check_active=True):
            return

        layout.separator()
        layout.operator("sectionbox.manage_objects", icon="ADD", text="Add Objects").action = "add"
        layout.operator("sectionbox.manage_objects", icon="REMOVE", text="Remove Objects").action = "remove"


def prop_context_menu(self, context):
    button_pointer = getattr(context, "button_pointer", None)
    if not button_pointer:
        return

    if button_pointer.bl_rna.identifier not in {"SECTIONBOX_PG_SectionBox", "SECTIONBOX_PG_SectionPlane"}:
        return

    layout = self.layout
    layout.separator()
    layout.operator("sectionbox.prop_context_menu_action", icon="FILE_CACHE", text="Set as default").action = "default"
    layout.operator(
        "sectionbox.prop_context_menu_action", icon="DECORATE_OVERRIDE", text="Reset to default"
    ).action = "reset"
