import gpu
from gpu_extras.batch import batch_for_shader


def draw_tris_3d(color, cos, indices):
    shader = gpu.shader.from_builtin("UNIFORM_COLOR")
    gpu.shader.from_builtin()
    batch = batch_for_shader(shader, "TRIS", {"pos": cos}, indices=indices)
    shader.bind()
    shader.uniform_float("color", color)
    batch.draw(shader)


def batch_tris_3d(shader, cos, indices):
    return batch_for_shader(shader, "TRIS", {"pos": cos}, indices=indices)


def draw_points_3d(color, cos):
    shader = gpu.shader.from_builtin("UNIFORM_COLOR")
    batch = batch_for_shader(shader, "POINTS", {"pos": cos})
    shader.bind()
    shader.uniform_float("color", color)
    batch.draw(shader)


def batch_points_3d(shader, cos):
    return batch_for_shader(shader, "POINTS", {"pos": cos})


def draw_lines_3d(color, cos):
    shader = gpu.shader.from_builtin("UNIFORM_COLOR")
    batch = batch_for_shader(shader, "LINES", {"pos": cos})
    shader.bind()
    shader.uniform_float("color", color)
    batch.draw(shader)


def batch_lines_3d(shader, cos):
    return batch_for_shader(shader, "LINES", {"pos": cos})
