import bpy
from .. import addon_id
from pathlib import Path


def get_path():
    return Path(__file__).resolve().parent.parent


def get_prefs():
    return bpy.context.preferences.addons[addon_id].preferences


def get_def_material_path(addon_id):
    datafiles_path = bpy.utils.user_resource("DATAFILES", path=addon_id, create=True)
    return Path(datafiles_path).joinpath("def_material.blend")


def remove_old_def_materials():
    prefs = get_prefs()
    old_def_mats = [m for m in bpy.data.materials if m.name.endswith("[Section Box]")]
    for old_def_mat in [odm for odm in old_def_mats if odm.name is not prefs.def_material]:
        bpy.data.materials.remove(old_def_mat)
