from pathlib import Path

import bpy

from .. import addon_id


def get_presets_path():
    return Path(bpy.utils.user_resource("SCRIPTS", path="presets"), create=True)


def get_datafiles_path():
    path = Path(bpy.utils.user_resource("DATAFILES", path=addon_id), create=True)
    path.mkdir(parents=True, exist_ok=True)
    return path


def get_script_presets_path():
    path = get_presets_path() / "blendai" / "script_presets"
    path.mkdir(parents=True, exist_ok=True)
    return path


def get_modules_path():
    return bpy.utils.user_resource("SCRIPTS", path="modules", create=True)
